<template>
  <v-app id="inspire">
    <Navbar />
    <Header />
    <v-content>
      <div>
        <router-view />
      </div>
    </v-content>
  </v-app>
</template>

<script>
import Navbar from "./components/Navbar";
import Header from "./components/Header"
export default {
  methods: {
    loginCheck() {
      var token = localStorage.getItem("token");
      var name = localStorage.getItem("name");
      var last_login = localStorage.getItem("last_login");
      var username = localStorage.getItem("username");

      if (!token || !name || !last_login || !username) {
        this.$router.push("/login");
      }
    },
    logout() {
      this.$dialog.confirm({
        text: "Are you sure you want to log out ?",
        overlay: true,
        actions: {
          false: "Cancel",
          true: {
            color: "green",
            text: "Logout",
            handle: () => {
              localStorage.setItem("token", "");
              localStorage.setItem("name", ""); 
              localStorage.setItem("last_login", "");
              localStorage.setItem("username", "");
              localStorage.setItem("password", "");
              this.$router.push("/login");
            },
          },
        },
      });
    },
  },
  components: {
    Navbar,
    Header
  },
  props: {
    source: String,
  },
  mounted() {
    this.loginCheck();
  },
  data: () => ({
    dialog: false,
    drawer: null,
  }),
};
</script>
